@import "../../ctg/css/loading.css";
@font-face {
url('Roboto-Regular-webfont.woff') format('woff'),font-weight:normal;
    font-family:'Roboto';
    font-style:normal;
}
html {
    font-size:1rem
}
body {
    font-family:'Roboto',sans-serif;
    font-size:0.14rem;
    height:100%;
    margin:0;
    padding:0;
}
/* estudio 风格：底色大背景挂载到外层 common-layout 的 before/after */
.common-layout {
    position:relative;
    background:#f2f3f5;
    min-height:100vh;
}
.common-layout::after {
    display:block;
    content:'';
    width:10rem;
    height:6rem;
    background:linear-gradient(199.84deg, #e3ecfc 90.06%, #eff5fa 22.16%, #f3f7fa 1.92%);
    border-radius:50%;
    transform:translate(90%, -50%);
    position:absolute;
    filter:blur(120px);
    z-index:0;
    pointer-events:none;
}
.common-layout::before {
    display:block;
    content:'';
    width:4rem;
    height:3rem;
    background:linear-gradient(199.84deg, #e3ecfc 90.06%, #eff5fa 22.16%, #f3f7fa 1.92%);
    border-radius:50%;
    transform:translate(0%, -50%);
    position:absolute;
    filter:blur(120px);
    z-index:0;
    pointer-events:none;
}
.common-layout > * {
    position:relative;
    z-index:1;
}
* {
    text-transform:none !important;
}
/* 图标 */
.material-icons.md-18 {
    line-height:0.24rem !important;
    font-size:0.18rem;
}
.material-icons.md-24 {
    font-size:0.24rem;
}
.material-icons.md-20 {
    font-size:0.2rem;
}
.material-icons.md-36 {
    line-height:0.24rem !important;
    margin-left:-0.06rem;
    margin-right:0.06rem;
    font-size:0.36rem;
}
.material-icons.md-dark {
    color:rgba(0,0,0,0.54);
}
.material-icons.md-dark.md-inactive {
    color:rgba(0,0,0,0.26);
}
.material-icons.md-light {
    color:rgba(255,255,255,1);
}
.material-icons.md-light.md-inactive {
    color:rgba(255,255,255,0.3);
}
md-toast.md-center {
    margin-left:auto;
    margin-right:auto;
    left:50%;
    right:auto;
    transform:translateX(-50%);
    padding:0;
}
md-toolbar {
    min-height:0.5rem;
    max-height:0.5rem;
    z-index:auto;
}
md-toolbar .md-toolbar-tools {
    min-height:0.5rem;
    max-height:0.5rem;
    padding:0 0.6rem;
}
.ctg-breadcrumb .md-toolbar-tools {
    min-height:0.65rem;
    max-height:0.65rem;
    padding:0 0.6rem;
}
/*md-toolbar .md-toolbar-tools > * {
	line-height:0.48rem;
}
*/

.md-button.f2c-icon-button {
    margin:0;
}
.md-button:not([disabled]).f2c-icon-button:hover {
    background:rgba(255,255,255,.2);
}
.f2c-tooltip {
    font-size:0.12rem;
    padding:0.04rem 0.08rem;
}
.f2c-tooltip.md-origin-bottom {
    margin-top:0.05rem;
}
.f2c-frame {
    border:none;
    width:100%;
    height:100%;
}
.f2c-logo {
    height:0.3rem;
    vertical-align:middle;
    line-height:normal;
    cursor:pointer;
    margin-right:0.08rem;
}
.f2c-logo img {
    height:100%;
}
.f2c-sub-header {
    color:rgba(0,0,0,0.87);
    background-color:transparent;
    margin-top:0.2rem;
}
.f2c-sub-header * {
    font-size:0.16rem;
}
.f2c-sub-header .md-subheader-inner {
    padding:0;
}
.f2c-sub-header .md-subheader-inner .md-subheader-content > div {
    padding:0.1rem 0.16rem;
    line-height:0.16rem;
}
.menu-home {
    position:relative;
    border-bottom:0.01rem solid rgba(0,0,0,0.12);
    color:rgba(0,0,0,0.87);
    background-color:transparent;
    padding:0 0.16rem;
    font-size:0.16rem;
    height:0.54rem;
    min-height:0.54rem;
    cursor:pointer;
}
.menu-home:hover {
    background-color:rgba(158,158,158,0.2);
}
.menu-home-icon {
    margin-right:0.32rem;
}
.f2c-list-item,.f2c-list-item.md-no-proxy {
    min-height:0.4rem;
    height:0.4rem;
    padding-left:0.3rem;
}
.f2c-list-item .md-button:not([disabled]):hover {
    background-color:transparent;
}
.f2c-list-item:not([disabled]):hover {
    background-color:rgba(158,158,158,0.2);
}
.f2c-list-item .md-list-item-inner {
    min-height:0.4rem;
    height:0.4rem;
    padding-right:0.08rem;
}
.f2c-favorite {
    white-space:nowrap;
    overflow:hidden;
    text-overflow:ellipsis;
    max-width:1.7rem;
}
.f2c-list-item-ellipsis {
    white-space:nowrap;
    overflow:hidden;
    text-overflow:ellipsis;
    width:1.36rem;
    max-width:1.36rem;
}
.f2c-list-item .md-list-item-inner > md-icon:first-child:not(.md-avatar-icon) {
    margin-top:0;
    margin-bottom:0;
}
.f2c-menu-content {
    max-height:6rem;
}
.f2c-menu-item {
    min-height:0.36rem;
    height:0.36rem;
}
.f2c-menu-item .md-button {
    font-size:0.14rem;
}
md-dialog.md-transition-in {
    position:absolute;
    top:20%;
    transform:translate(0,0rem) scale(1)
}
md-dialog.md-transition-out {
    position:absolute;
    top:20%;
    transform:translate(0,100%) scale(0.2)
}
table {
    outline:0;
    border-spacing:0;
    border-radius:0;
    border:0;
    /*width:100%;
    */
}
thead > tr > th {
    margin-top:0.05rem;
    padding:0.1rem 0.1rem;
}
tbody > tr:hover {
    background-color:rgba(0,0,0,0.04);
}
tbody > tr > td {
    padding:0.05rem 0.1rem;
}
a:link {
    text-decoration:none;
    cursor:pointer;
}
a:hover {
    outline:0;
    text-decoration:underline;
}
.select-td {
    background-color:#f0f5fe !important;
}
.select-current-tr {
    color:#3c77e7 !important;
}
a:active,a:focus {
    outline:0;
}
:focus {
    outline:none;
}
.footer {
    width:100%;
    bottom:0;
}
.content {
    overflow:auto;
    height:-moz-calc(50vh - 1.16rem);
    height:-webkit-calc(50vh - 1.16rem);
    height:calc(50vh - 1.16rem);
}
.additional {
    position:relative;
    cursor:pointer;
}
.switch-btn {
    padding:0 0.05rem 0 0.1rem;
    text-transform:none
}
.generate-btn {
    text-align:center;
    width:100%;
    height:0.26rem;
    margin:0.15rem;
    border:1px solid;
    min-height:0;
    line-height:0;
    min-width:0;
    border-radius:0.02rem;
}
md-toast.notice-menu-success .md-toast-content {
    background-color:green;
}
md-toast.notice-menu-danger .md-toast-content {
    background-color:red;
}
/* Inbox*/
.inbox-list {
    width:3.2rem;
    height:100%;
    border-right:0.01rem solid rgba(0,0,0,0.12);
    background-color:rgb(250,250,250);
}
.inbox-menus {
    width:3.2rem;
    overflow-x:hidden;
    overflow-y:auto;
    background-color:rgb(250,250,250);
}
@keyframes inbox-notice {
    50% {
        transform:scale(1.1);
    }
}.inbox-has {
     animation:inbox-notice .25s infinite alternate;
 }
.inbox {
    position:relative;
    cursor:pointer;
    padding:0.08rem 0.16rem;
}
.inbox:hover {
    background-color:rgba(0,0,0,.04);
}
.inbox + .inbox {
    border-top:0.01rem solid rgba(0,0,0,0.12);
}
.inbox:last-child {
    border-bottom:0.01rem solid rgba(0,0,0,0.12);
}
.inbox.selected {
    background-color:rgba(158,158,158,0.2);
}
.inbox-name {
    font-weight:bold;
}
.inbox-done {
    font-weight:normal;
    font-style:italic;
}
.inbox-ellipsis {
    white-space:nowrap;
    overflow:hidden;
    text-overflow:ellipsis;
    padding-right:0.04rem;
}
.inbox-time {
    white-space:nowrap;
    font-size:0.13rem;
    color:#777;
    text-align:right;
}
.inbox-all {
    cursor:pointer;
    padding:0.08rem 0.1rem;
    text-align:center;
}
.inbox-all:hover {
    background-color:rgba(0,0,0,.04);
}
.inbox-search {
    position:relative;
    background-color:#FFF;
    padding:0 0.16rem;
    height:0.53rem;
    min-height:0.53rem;
    border-bottom:0.01rem solid #c5c5c5;
}
.inbox-search md-select {
    margin:0;
    display:inline-flex;
    font-weight:bold;
    line-height:0.53rem;
}
.inbox-search md-select .md-select-icon {
    text-align:start;
}
.inbox-search input {
    height:0.3rem;
    padding:0 0.1rem;
    background-color:#F1F3F4;
    border-radius:0.15rem;
    border:none;
}
.inbox-search input:focus {
    padding:0 0.09rem;
    border:1px solid #c5c5c5;
    background-color:transparent;
}
.inbox-search .md-button.md-icon-button {
    position:absolute;
    right:0.2rem;
    min-height:0;
    width:0.24rem;
    height:0.24rem;
    padding:0;
    margin:0;
}
.inbox-search .md-button.md-icon-button:hover {
    background-color:rgba(0,0,0,0.2);
}
.inbox-pagination {
    padding:0 0.1rem;
    height:0.48rem;
    border-top:0.01rem solid #d3d3d3;
}
.inbox-pagination .label {
    color:rgba(0,0,0,0.8);
}
.inbox-pagination > .md-icon-button {
    margin:0;
    padding:0;
    width:0.36rem;
    height:0.36rem;
}
.language {
    position:relative;
    cursor:pointer;
    padding:0;
    height:0.32rem;
}
.language:hover>md-menu-item> {
    background-color:rgba(0,0,0,.04);
    color:#f89406;
}
.menu-language {
    background-color:rgb(58,62,80);
}
.menu-language>md-menu-item>div {
    color:#FFFFFF;
    padding:0 0.08rem 0 0.1rem;
}
.menu-language>md-menu-item>div:not(.nothover):hover {
    color:#00b8e2;
}
.ctyun-a {
    text-decoration:none;
    color:#FFFFFF;
}
.ctyun-a:hover {
    color:#f89406;
    text-decoration:none;
}
md-toolbar.content-toolbar,md-toolbar.sidebar-toolbar {
    color:rgba(0,0,0,0.87);
    background-color:transparent;
    border-bottom:0.01rem solid #d3d3d3;
    min-height:0.49rem;
    max-height:0.49rem;
}
md-toolbar.ctg-breadcrumb {
    color:rgba(0,0,0,0.87);
    background-color:transparent;
    border-bottom:0.01rem solid #d3d3d3;
    min-height:0.65rem;
    max-height:0.65rem;
}
.notification-time {
    font-style:italic;
    font-size:0.12rem;
    color:#777;
    padding-bottom:0.1rem;
}
/*frame加载进度条*/
.frame-loading-process {
    margin-bottom:-0.05rem !important;
    display:none;
}
md-input-container .hint {
    position:absolute;
    left:0.02rem;
    right:auto;
    bottom:0.07rem;
    font-size:0.12rem;
    line-height:0.14rem;
    color:grey;
    overflow:hidden;
}
md-input-container:not(.md-input-invalid) .hint {
    display:block;
}
md-input-container.md-input-invalid .md-input-messages-animation + .hint {
    display:none;
}
.f2c-eye {
    position:absolute;
    right:0;
    line-height:0.35rem;
    cursor:pointer;
}
.f2c-tooltip-user {
    height:auto;
    padding:0.04rem 0.08rem;
    z-index:1000;
}
.f2c-tooltip-user.md-origin-bottom {
    margin-top:0.02rem;
}
.f2c-menu-sidenav {
    min-width:8.1rem;
    width:8.1rem;
    max-width:100%;
}
.f2c-menu-sidenav .inbox-search {
    min-height:0.4rem;
    height:0.4rem;
    border-bottom:0.01rem solid rgba(0,0,0,0.05);
}
.f2c-menu-sidenav .inbox-search > input {
    width:98%;
    margin:0.05rem 0;
}
.f2c-module-column + .f2c-module-column {
    border-left:0.01rem solid rgba(0,0,0,0.05);
}
.f2c-module-box + .f2c-module-box {
    border-top:0.01rem solid rgba(0,0,0,0.05);
}
.menu-search-input {
    padding:0 0.16rem;
    margin-top:0.15rem;
}
.menu-search-input input {
    background-color:transparent;
    border-width:0;
    border-bottom:0.01rem solid #c5c5c5;
    width:100%;
}
.f2c-home-header {
    font-weight:400;
    cursor:pointer;
    font-size:0.16rem;
    margin:0.07rem 0.08rem 0 0;
    line-height:0.24rem;
    position:relative;
    padding-bottom:0.05rem;
    padding-top:0.08rem;
    padding-left:0.06rem;
    width:100%;
}
.f2c-home-header:hover {
    background-color:rgba(158,158,158,0.2);
}
.f2c-sc-header {
    font-weight:500;
    cursor:pointer;
    margin-top:0.08rem;
    font-size:0.16rem;
    padding:0.08rem 0.08rem 0.08rem 0.06rem;
    line-height:0.24rem;
    position:relative
}
.text-center {
    text-align:center
}
.hideContent * {
    display:none
}
.header-item {
    margin-left:0.25rem;
    line-height:0.3rem;
    background-color:#fff;
    min-height:3.2rem;
    min-width:4.2rem;
}
.header-menu {
    z-index:1000;
    min-width:1.6rem;
    font-size:0.14rem;
    text-align:left;
    list-style:none;
    background-color:#fff;
}
.header-adder-model {
    width:4.2rem;
    color:#000;
}
.header-adder-model .guojia {
    font-size:0.16rem;
    height:1.4rem;
    text-align:center;
    line-height:2.5;
    width:0.37rem;
    cursor:pointer;
    writing-mode:tb-rl;
}
.header-adder-model .guojia[data-select=true] {
    color:#41c8f5;
    background:#fff;
}
.header-adder-model .gj {
    width:0.37rem;
    background:#e3e4e5;
}
.flex-gj-div {
    padding:0.1rem;
    overflow-y:auto;
    max-height:2.6rem;
    position:absolute;
    top:0rem;
    left:0.37rem;
}
.header-adder-adiv + .header-adder-adiv {
    margin-top:0.2rem;
}
.header-adder-adiv {
    display:flex;
    flex-wrap:wrap;
}
.header-adder-adiv .header-adder-icon {
    margin-right:0.4rem;
    cursor:pointer;
    margin-top:0.1rem;
    min-width:1.4rem;
}
.display-flex-sb {
    display:flex;
    justify-content:space-between;
}
.region-platform-selected {
    background-color:white !important;
    color:#41c8f5 !important;
}
.region-selected {
    color:#41c8f5 !important;
}
.md-toolbar-tools {
    font-size:0.16rem;
}
.md-button.md-primary:not([disabled]) md-icon {
    color:#383a43;
}
.md-button.md-primary {
    color:#383a43;
    font-size:0.16rem;
}
.ctg-breadcrumb .md-button.md-primary {
    color:#383a43;
    font-size:0.16rem;
    margin:0 0.27rem;
}
.ctg-breadcrumb .ctg-bc-l {
    margin-right:0.9rem;
    white-space:nowrap;
}
md-menu-item>.md-button {
    font-size:0.14rem;
}
md-menu-item>.md-button:hover {
    color:#41c8f5;
}
md-icon.md-default-theme,md-icon {
    color:#383a43;
}
.md-toolbar-tools>md-menu:last-child {
    margin-right:0;
}
.theme-orange {
    color:#2F6CFF;
}
.ctg-button {
    background-color:#2F6CFF;
    transition:box-shadow .4s cubic-bezier(.25,.8,.25,1),background-color .4s cubic-bezier(.25,.8,.25,1);
}
.ctg-button:not(.md-icon-button):hover {
    background-color:#71cadf !important;
}
.menu-icon {
    padding:0.13rem 0.05rem;
    cursor:pointer;
    transition:box-shadow .4s cubic-bezier(.25,.8,.25,1),background-color .4s cubic-bezier(.25,.8,.25,1);
}
.menu-icon:hover {
    background-color:rgba(158,158,158,0.2);
}
.menu-text {
    font-size:0.14rem;
}
.ctg-triangle {
    display:inline-block;
    border-left:0.05rem solid transparent;
    border-right:0.05rem solid transparent;
}
.ml-20 {
    margin-left:0.2rem !important;
}
.mr-45 {
    margin-right:0.45rem;
}
.mr-40 {
    margin-right:0.4rem;
}
button.md-button.md-icon-button.md-mini {
    width:0.35rem;
    height:0.35rem;
    min-height:0;
    min-width:0;
    padding:0;
    background:#E8F9FF;
}
md-tabs.md-default-theme md-ink-bar,md-tabs md-ink-bar {
    /*color:#b7b8b8;
    */
    /*background:#b7b8b8;
	*/
    background:#41C8F5 !important;
    border-color:#41C8F5 !important;
}
/* 谷歌 */
*::-webkit-scrollbar {
    opacity:1;
    width:0.06rem;
    height:0.06rem;
    transition:opacity 1s;
}
/* 滑块 */
*::-webkit-scrollbar-thumb {
    border-radius:0.1rem;
    background:#b7b8b8;
}
/* 轨道 */
*::-webkit-scrollbar-track {
    border-radius:0;
    background:#ffffff;
}
/* 火狐 */
* {
    /*方块 - 轨道*/
    scrollbar-color:#d2d2d2 #ffffff;
    scrollbar-width:thin;
}
/* IE */
* {
    scrollbar-face-color:#d2d2d2;
    scrollbar-track-color:#ffffff;
}
.ml-30 {
    margin-left:0.3rem;
}
.ml-22 {
    margin-left:0.22rem;
}
md-dialog .md-actions,md-dialog md-dialog-actions {
    justify-content:center;
    padding-left:0;
}
.md-button.md-default-theme.md-primary.md-fab,.md-button.md-primary.md-fab,.md-button.md-default-theme.md-primary.md-raised,.md-button.md-primary.md-raised {
    background-color:#41c8f5;
    color:#FFFFFF;
}
.md-confirm-button {
    background-color:#41c8f5 !important;
    color:white !important;
}
.md-button.md-default-theme.md-primary.md-fab:not([disabled]).md-focused,.md-button.md-primary.md-fab:not([disabled]).md-focused,.md-button.md-default-theme.md-primary.md-fab:not([disabled]):hover,.md-button.md-primary.md-fab:not([disabled]):hover,.md-button.md-default-theme.md-primary.md-raised:not([disabled]).md-focused,.md-button.md-primary.md-raised:not([disabled]).md-focused,.md-button.md-default-theme.md-primary.md-raised:not([disabled]):hover,.md-button.md-primary.md-raised:not([disabled]):hover {
    background-color:#41c8f5;
}
.md-confirm-button:hover {
    background-color:#41c8f5 !important;
}
.md-button.md-default-theme.md-fab[disabled],.md-button.md-fab[disabled],.md-button.md-default-theme.md-raised[disabled],.md-button.md-raised[disabled] {
    background-color:rgba(0,0,0,0.12);
}
@media (max-width:12.81rem) {
    .ctg-breadcrumb .ctg-bc-l {
        margin-right:0;
    }
    .ctg-breadcrumb .md-button.md-primary {
        margin:0;
    }
    .center-left {
        width:2.3rem !important;
    }
}@media (min-width:9.6rem) {
    .md-padding {
        padding-left:0.2rem;
    }
}/**:hover::-webkit-scrollbar {
	*/
/*  opacity:0;
	*/
/*
}
*/

/*.md-calendar-day-header th {
	*/
/*    line-height:0.4rem;
	*/
/*
}
*/
/*.md-calendar-scroll-mask {
	*/
/*    width:3.4rem !important;
	*/
/*
}
*/
/*.md-virtual-repeat-scroller {
	*/
/*    width:3.4rem !important;
	*/
/*
}
*/
/*.md-calendar-day-header {
	*/
/*    width:3.4rem !important;
	*/
/*
}
*/

.ng-scope.layout-column.flex {
    background:transparent;
}

